<project name="protobuf-java" default="jar" basedir="..">
    <property name="srcdir" value="src" />
    <property name="javadir" value="java" />
    <property name="javasrcdir" value="${javadir}/src" />
    <property name="targetdir" value="${javadir}/target" />
    <property name="classesdir" value="${targetdir}/classes" />
    <property name="generateddir" value="${targetdir}/generated-sources" />

    <target name="clean">
        <delete dir="${targetdir}"/>
    </target>

    <target name="generate">
        <mkdir dir="${generateddir}" />
        <echo message="${srcdir}" />
        <exec executable="${srcdir}/protoc">
            <arg value="--java_out=${generateddir}" />
            <arg value="--proto_path=${srcdir}" />
            <arg value="${srcdir}/google/protobuf/descriptor.proto" />
        </exec>
    </target>

    <target name="compile" depends="generate">
        <mkdir dir="${classesdir}"/>
        <javac srcdir="${generateddir}:${javasrcdir}/main/java"
               destdir="${classesdir}" release="8"
               includeantruntime="false" />
    </target>

    <target name="jar" depends="compile">
        <jar destfile="${targetdir}/protobuf.jar" basedir="${classesdir}" />
    </target>
</project>
